<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JavaScript Types and Variables</title>
</head>
<body>
    
    <div>
        <h1>Object Example</h1>
        <p id="object"></p>
    </div>

    <div>
        <h1>Arrays Example</h1>
        <p id="array"></p><br>
        <p id="arrayNumber"></p>
    </div>

    <div>
        <h1>Arrays Object Example</h1>
        <p id="arraysObject"></p>
    </div>

  <script>
    // strings
    'String1';
    'String2';
    "String3";

    // numbers
    10;
    500;
    3.14;

    // booleans 
    true;
    false;
    
    // specials
    undefined;
    null;
    NaN;

    // objects
    const user = {name: 'Kamal', username: 'kamal jimiwal'};
    document.getElementById("object").innerHTML = user.name + "<br>" + user.username;

    // arrays 
    const users = ['Kamal', 'Amit', 'Veera'];
    const numbers = [1, 43, 54, 132];
    const whatever = ['Kamal', 1, 'Amit'];
    document.getElementById("array").innerHTML = users[0] + "<br>" + users[1] + "<br>" + users[2];
    document.getElementById("arrayNumber").innerHTML = numbers[0] + "<br>" + numbers[1] + "<br>" + numbers[2] + "<br>" + numbers[3];

    // arrays object
    const superUsers = [
      { name: 'Kamal' },
      { name: 'Amit' },
      { name: 'Veera' }
    ];
    document.getElementById("arraysObject").innerHTML = superUsers[0].name + "<br>" + superUsers[1].name + "<br>" + superUsers[2].name;

    // declaring variables
    var thing = 'first';
    const otherThing = 'second' ; 
    let newThing     = 'third';
    otherThing.name = 'forth';

  </script>
</body>
</html>